Bug 1026791 - typos in the init scripts; /etc/init.d/ebtables: line 19: [: =: unary operator expected
typos in the init scripts; /etc/init.d/ebtables: line 19: [: =: unary operato...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: ebtables (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-05 07:47 EST by Petr Sklenar
Modified: 2016-07-19 06:33 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1026784
Environment:
Last Closed: 2016-07-19 06:33:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Sklenar 2013-11-05 07:47:23 EST
Description of problem:
there is issue with starting/stopping ebtables

Version-Release number of selected component (if applicable):
ebtables-2.0.10-8.fc19.x86_64

How reproducible:
deterministic

Steps to Reproduce:
1. service ebtables status|start|stop

Actual results:

[psklenar@masox ~]$ sudo service ebtables status
/etc/init.d/ebtables: line 16: /etc/sysconfig/network: No such file or directory
/etc/init.d/ebtables: line 19: [: =: unary operator expected
# Generated by ebtables-save v1.0 on Tue Nov  5 13:40:36 CET 2013


Expected results:
init script works

Additional info:
line 16: /etc/sysconfig/network : there is not such a file on my fedora

there is just typo in the /etc/rc.d/init.d/ebtables,
this fixes the issue for the line 19

19c19
< [ ${NETWORKING} = "no" ] && exit 0
---
> [ "${NETWORKING}" = "no" ] && exit 0
Comment 1 Petr Sklenar 2013-11-05 08:04:08 EST
please ingore failure with /etc/sysconfig/network, it was removed by bad luck.
there is issue only with 'line 19:'
Comment 2 Jaroslav Reznik 2015-03-03 10:11:27 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22
Comment 3 Fedora End Of Life 2016-07-19 06:33:43 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.